/* --------------------------------------------------------------- */
/* MENU */
/* --------------------------------------------------------------- */
:root {
  --primary-color: #0a1128;
  --white-color: #ffffff;
  --dark-gray-color: #2e3038;

  --container-width: 120rem;
  --container-width-small: 80rem;
  --container-images: 36rem;

  --spacings-xsmall: 1rem;
  --spacings-small: 2rem;
  --spacings-medium: 3rem;
  --spacings-large: 5rem;
  --spacings-xlarge: 8rem;
  --spacings-xxlarge: 11rem;

  --font-bold: 700;
  --font-xxlarge: 10rem;
  --font-xlarge: 8rem;
  --font-large: 6rem;
  --font-medium: 4rem;
  --font-normal: 2.3rem;
  --font-small: 1.8rem;
  --font-xsmall: 1.6rem;
  --font-xxsmall: 1.4rem;
  --font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen,
    Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

.top-menu-space {
  width: 100%;
  height: 60px;
}

a {
  text-decoration: none;
  color: inherit;
}

.menu {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: #fff;
  z-index: 1;
  border-bottom: 1px solid #eee;
}

.menu>div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: var(--container-width);
  margin: 0 auto;
  padding: 0 3rem;
}

.menu nav ul {
  display: flex;
  align-items: center;
  list-style: none;
}

.menu nav ul a {
  display: block;
  text-decoration: none;
  color: var(--primary-color);
  padding: 0 var(--spacings-small);
  text-transform: lowercase;
  font-size: var(--font-small);
  height: 10px;
  display: flex;
  align-items: center;
}

.logo {
  margin: 0;
  font-size: var(--font-normal);
}

.close-menu {
  display: none;
  align-items: center;
  justify-content: center;
  position: fixed;
  z-index: 101;
  top: var(--spacings-small);
  right: var(--spacings-small);
  appearance: none;
  width: calc(var(--spacings-xlarge) / 2);
  height: calc(var(--spacings-xlarge) / 2);
  font-size: var(--spacings-medium);
  background: var(--primary-color);
  color: var(--white-color);
  outline: none;
  cursor: pointer;
}

.not-visible {
  display: none;
}

#logoGlobal {
  margin-left: 50%;
}

@media (max-width: 800px) {
  .top-menu-space {
    width: 100%;
    height: 0;
  }

  #logoGlobal {
    margin-left: 0%;
  }

  .menu .logo {
    margin-bottom: var(--spacings-medium);
  }

  .menu {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: fixed;
  }

  .menu nav {
    width: 100%;
    text-align: center;
  }

  .menu>div {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
  }

  .menu nav ul {
    flex-direction: column;
  }

  .close-menu {
    display: flex;
  }

  .close-menu:focus {
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
  }

  .close-menu:not(:checked):after {
    content: '☰';
  }

  .close-menu:hover,
  .close-menu:active,
  .close-menu:after,
  .close-menu:before {
    color: #fff;
  }

  .close-menu:checked:after {
    content: '×';
  }

  .close-menu:not(:checked)~.menu {
    opacity: 0;
    visibility: hidden;
  }
}

/* --------------------------------------------------------------- */
/* FIN MENU */
/* --------------------------------------------------------------- */
/* --------------------------------------------------------------- */
/* CARRUSEL */
/* --------------------------------------------------------------- */


.slider {
  height: 100px;
  overflow: hidden;
  width: 100%;
}

.slide-track {
  display: inline-flex;
  -moz-animation: slider 20s infinite linear;
  -webkit-animation: slider 20s infinite linear;
  animation: slider 20s infinite linear;
  height: 100%;
  width: auto;
}

.slide {
  background: none;
  border: 1px solid #fff;
  color: #fff;
  font-family: Arial;
  font-size: 16px;
  line-height: 100px;
  height: 100%;
  flex: 0 0 auto;
  text-align: center;
  width: 150px;
}

@keyframes slider {
  to {
    -moz-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
  }
}

.loader {
  display: none;
}

.loader span {
  width: 16px;
  height: 16px;
  border-radius: 50%;
  display: inline-block;
  position: absolute;
  left: 50%;
  margin-left: -10px;
  -webkit-animation: 3s infinite linear;
  -moz-animation: 3s infinite linear;
  -o-animation: 3s infinite linear;
}

.loader span:nth-child(2) {
  background: #e84c3d;
  -webkit-animation: kiri 1.2s infinite linear;
  -moz-animation: kiri 1.2s infinite linear;
  -o-animation: kiri 1.2s infinite linear;
}

.loader span:nth-child(3) {
  background: #f1c40f;
  z-index: 100;
}

.loader span:nth-child(4) {
  background: #2fcc71;
  -webkit-animation: kanan 1.2s infinite linear;
  -moz-animation: kanan 1.2s infinite linear;
  -o-animation: kanan 1.2s infinite linear;
}

@-webkit-keyframes kanan {
  0% {
    -webkit-transform: translateX(20px);
  }

  50% {
    -webkit-transform: translateX(-20px);
  }

  100% {
    -webkit-transform: translateX(20px);
    z-index: 200;
  }
}

@-moz-keyframes kanan {
  0% {
    -moz-transform: translateX(20px);
  }

  50% {
    -moz-transform: translateX(-20px);
  }

  100% {
    -moz-transform: translateX(20px);
    z-index: 200;
  }
}

@-o-keyframes kanan {
  0% {
    -o-transform: translateX(20px);
  }

  50% {
    -o-transform: translateX(-20px);
  }

  100% {
    -o-transform: translateX(20px);
    z-index: 200;
  }
}

@-webkit-keyframes kiri {
  0% {
    -webkit-transform: translateX(-20px);
    z-index: 200;
  }

  50% {
    -webkit-transform: translateX(20px);
  }

  100% {
    -webkit-transform: translateX(-20px);
  }
}

@-moz-keyframes kiri {
  0% {
    -moz-transform: translateX(-20px);
    z-index: 200;
  }

  50% {
    -moz-transform: translateX(20px);
  }

  100% {
    -moz-transform: translateX(-20px);
  }
}

@-o-keyframes kiri {
  0% {
    -o-transform: translateX(-20px);
    z-index: 200;
  }

  50% {
    -o-transform: translateX(20px);
  }

  100% {
    -o-transform: translateX(-20px);
  }
}


/* --------------------------------------------------------------- */
/* FIN CARRUSEL */
/* --------------------------------------------------------------- */
/* --------------------------------------------------------------- */
/* CONTENIDO*/
/* --------------------------------------------------------------- */

html {
  font-size: 1rem;
  line-height: 1.65;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -ms-overflow-style: scrollbar;
  -webkit-text-size-adjust: 100%;
  image-rendering: crisp-edges;
  scroll-behavior: smooth
}

header {
  padding-bottom: 12rem
}

header #navbar .logo {
  max-width: 100px
}

#hero {
  padding: 0 0 12rem 0;
  /* background: linear-gradient(to left, #b2bd21 0%, #5d823e 40%, rgba(249, 249, 249, 0) 100%), url(../img/FondoHome.jpg) no-repeat right top; */
  background-image: radial-gradient(circle at top right, #b3bd21c1, #5d823ec5);
  min-height: 550px;
  max-height: 900px;

}


#hero::after {
  content: ""; /* Agrega un contenido vacío para que ::after sea visible */
  position: absolute; /* Establece posición absoluta para que se superponga al fondo degradado */
  top: 0;
  left: 0;
  width: 100%;
  height: 40%;
  background-image: url('../img/FondoHome.jpg');
  background-size: cover;
  background-position: center;
  z-index: -1; /* Coloca la imagen detrás del contenido del pie de página */
}

#hero .hero-img {
  max-width: 560px;
  margin: 0 auto;
  display: block;
  position: relative;
  top: -7rem;
  animation: fadeInUp 600ms .2s;
  animation-fill-mode: both
}

#hero h1 {
  color: #fff;
  animation: fadeInUp 600ms .2s;
  animation-fill-mode: both
}

#hero p {
  font-size: 1rem;
  animation: fadeInUp 600ms .2s;
  animation-fill-mode: both
}

#hero .btn {
  animation: fadeInUp 600ms .2s;
  animation-fill-mode: both
}

#hero .btn.btn-secondary {
  color: #fff;
  border-color: #fff
}

#hero .btn.btn-secondary:hover {
  background-color: #fff;
  border-color: #fff;
  color: #1d2d35
}

@media all and (max-width: 768px) {
  header {
    padding-bottom: 6rem
  }

  #hero {
    padding: 0 0 6rem 0
  }

  #hero .hero-img {
    max-width: 65%;
    margin-top: 5rem
  }
}

footer {
  position: relative; /* Establece posición relativa para que ::after esté posicionado correctamente */
  padding: 6rem 0;
  background: rgba(93, 130, 62, 0.84) ;
}

footer::after {
  content: ""; /* Agrega un contenido vacío para que ::after sea visible */
  position: absolute; /* Establece posición absoluta para que se superponga al fondo degradado */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('../img/totalseguros-edificio.png');
  background-size: cover;
  background-position: center;
  z-index: -1; /* Coloca la imagen detrás del contenido del pie de página */
}

footer h4 {
  font-size: .85rem;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 2px
}

footer ul {
  list-style: none;
  padding-left: 0;
  
  
}

footer ul li {
  margin-bottom: 1.0rem;
}

footer ul li a {
  color: #fbfbfb;
  text-decoration: none;
  font-size: .85rem;
  transition: all .3s ease-in-out
}

footer ul li a:hover {
  color: #fa496e
}

footer ul.social li {
  display: inline;
  margin-right: .75rem
}

footer ul.social li a {
  color: #fff
}

footer ul.social li a svg {
  max-width: 25px
}

footer ul.social li a:hover {
  color: #fa496e
}

footer .logo {
  max-width: 100px;
  margin-bottom: .75rem
}

.btn {
  display: inline-block;
  color: #000;
  background-color: #8391a7;
  border-color: #8391a7;
  text-align: center;
  font-weight: 400;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border: 1px solid #8391a7;
  padding: .75rem 1.5rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 6px;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  margin-bottom: .25rem;
  font-family: inherit;
  cursor: pointer;
  text-decoration: none;
  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, .05), 0 1px 2px 0 rgba(0, 0, 0, .08)
}

.btn:focus {
  outline: 2px solid #fa496e
}

.btn.full-width {
  width: 100%
}

.btn.btn-primary {
  color: #fff;
  background-color: #fa496e;
  border-color: #fa496e
}

.btn.btn-primary:hover {
  background-color: #f91746;
  border-color: #f91746
}

.btn.btn-secondary {
  color: #fa496e;
  background-color: rgba(0, 0, 0, 0);
  border-color: #fa496e
}

.btn.btn-secondary:hover {
  background-color: #fa496e;
  border-color: #fa496e;
  color: #fff
}

@-webkit-keyframes fadeInUp {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -50px, 0);
    transform: translate3d(0, -10px, 0)
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0)
  }
}

/* --------------------------------------------------------------- */
/* FIN CONTENIDO*/
/* --------------------------------------------------------------- */
/* Cambia el color de fondo del cuadro de selección */
.selectize-control.single .selectize-input {

  border: none;
  background-color: transparent;
  font-size: 17px;
  background: none;
  padding: 0%;

}

/* Cambia el color del texto en el cuadro de selección */
.selectize-control.single .selectize-input input[type="text"] {
  font-size: 17px;
  color: #333;
  background-color: transparent;
  background: none;
}

/* Cambia el estilo del botón de borrar la selección */
.selectize-control.single .remove {
  font-size: 17px;
  background-color: #ff0000;
  background-color: transparent;
  background: none;
  color: #fff;
}

/* Cambia el estilo del botón desplegable para mostrar las opciones */
.selectize-dropdown {
  font-size: 17px;
  background-color: #fff;
  background-color: transparent;
  background: none;
}

/* Cambia el color de fondo de las opciones en la lista desplegable */
.selectize-dropdown-content {
  font-size: 17px;
  background-color: #ffffff;

}

/* Cambia el color del texto en las opciones de la lista desplegable */
.selectize-dropdown-content .option {
  font-size: 17px;
  color: #333;
  background: none;
}